%global pypi_name django-filter
%global obs_ver 0.5.0-6

Name:           python-%{pypi_name}
Version:        0.7
Release:        1%{?dist}
Summary:        A Django application for allowing users to filter queryset dynamically

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  Django14
BuildRequires:  python-django-discover-runner
BuildRequires:  python-mock
BuildRequires:  python-setuptools
Requires:       Django14

Provides:       django-filter = %{version}-%{release}
Obsoletes:      django-filter < %{obs_ver}

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGES.rst README.rst LICENSE docs/
%{python_sitelib}/django_filters
%{python_sitelib}/django_filter-%{version}-py?.?.egg-info

%changelog
* Mon Feb 03 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.7-1
- fix BZ# 1023189
- new upstream version

* Mon Feb 03 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.6-5
- fix BZ# 1023189

* Mon Feb 03 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.6-4
- remove some lines

* Wed Jan 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.6-3
- fix dependency 

* Wed Jan 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.6-2
- change dependency to Django14

* Wed Jan 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.6-1
- Initial upstream
